Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.iapi
Interface EndpointReferenceContext

All Known Implementing Classes:
  EndpointReferenceContextImpl, EndpointReferenceContextImpl

    public interface EndpointReferenceContext

Endpoint reference context: facililates the creation of `EndpointReference` objects.

Method Summary
`EndpointReference` | `convertEndpoint(javax.xml.namespace.QName targetType, org.w3c.dom.Element sourceEndpoint)` Converts an endpoint reference from its XML representation to another type of endpoint reference.
`java.util.Map` | `getConfigLookup(EndpointReference epr)` Convert an endpoint reference into a set of key/value pairs that may be necessary to look up config information.
`EndpointReference` | `resolveEndpointReference(org.w3c.dom.Element epr)` Resolve an end-point reference from its XML representation.

Method Detail

### resolveEndpointReference

    EndpointReference resolveEndpointReference(org.w3c.dom.Element epr)

  Resolve an end-point reference from its XML representation. The nature of the representation is determined by the integration layer. The BPEL engine uses this method to reconstruct `EndpointReference` objects that have been persisted in the database via `EndpointReference#toXML(javax.xml.transform.Result)` method.

  Parameters:
    `XML` - representation of the EPR
  Returns:
    reconsistituted `EndpointReference`

### convertEndpoint

    EndpointReference convertEndpoint(javax.xml.namespace.QName targetType,
                                      org.w3c.dom.Element sourceEndpoint)

  Converts an endpoint reference from its XML representation to another type of endpoint reference.

  Parameters:
    `targetType` -
    `sourceEndpoint` -
  Returns:
    converted EndpointReference, being of targetType

### getConfigLookup

    java.util.Map getConfigLookup(EndpointReference epr)

  Convert an endpoint reference into a set of key/value pairs that may be necessary to look up config information. This implies a contract between the implementation and the caller.

  For instance a WSDL endpoint reference may be converted into {service => foo, port => bar}.

  Parameters:
    `epr` -
  Returns:
    a map containing the relevant information for config lookup

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD